Bug 861202 - katello-configure fails with invalid hostname
katello-configure fails with invalid hostname
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 15:36 EDT by Tom McKay
Modified: 2014-01-27 09:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:19:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom McKay 2012-09-27 15:36:12 EDT
Fails during "Initializing Katello data" phase

rake aborted!
the scheme https does not accept registry part: rhel6.2-tito (or bad hostname?)

Changing name to rhel6 and katello-configure succeeds
Comment 2 Miroslav Suchý 2012-09-27 16:59:32 EDT
Hostname can not contain dot. Everything beyond dot is domain.
Comment 3 Miroslav Suchý 2012-09-27 17:00:55 EDT
Can we close it as NOTABUG?
Comment 4 Tom McKay 2012-09-28 08:21:46 EDT
Then the BZ is validation of the name before it fails further down the katello-configure path.

Note that I've been naming my VMs w/ "." in the names for a year so clearly it can contain a dot, even if it is not best practice.

If we do not support names with "." then let's do a quick check up front before even starting. (No this is not RFE, this is BZ, imho.)
Comment 5 Lukas Zapletal 2012-10-03 05:18:52 EDT
Tom, everytime you report an installer bug, please attach full katello-debug output (tarball). Rake aborted does not say anything.

Setting low prio, removing flags.
Comment 7 Lukas Zapletal 2012-10-03 06:16:42 EDT
https://github.com/Katello/katello/pull/783
Comment 9 Mike McCune 2013-09-19 14:19:26 EDT
These bugs have been resolved in upstream projects for a period of months so
I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to
re-open.

Note You need to log in before you can comment on or make changes to this bug.